<template lang="pug">
container( type="large" container="max-desktop" )
	.img.coin
		img( :src='require("@/assets/img/coin.webp")' )
	socials( v-if='!isPhone && !isTablet' solid vertical )
	.is-flex.is-align-items-center.is-justify-content-center
		.content
			h1.is-flex.is-justify-content-center( :class='[{ "is-flex-direction-column": isPhone || isTablet }, isPhone || isTablet ? "is-align-items-center" : "is-align-items-flex-end"]' )
				span Meme
					template( v-if='!isPhone && !isTablet' ) &nbsp;
				span 
					|P
					img( v-lazy='require("@/assets/img/eye.webp")' role="text" alt="o" )
					img.rotate( v-lazy='require("@/assets/img/eye.webp")' role="text" alt="o" )
					|l
			.subtitle.is-flex.is-align-items-center.is-justify-content-flex-end
				p
					span {{ $t("page.home.head.subtitle") }}
					span.border
	.advantages.is-flex.is-align-items-center.is-justify-content-space-between.is-flex-wrap-wrap( :class='{ "is-flex-direction-column": isPhone || isTablet }' )
		.item.is-flex.is-align-items-center( v-for='({ text, icon }, i) in features' :key='i' )
			.img.is-flex
				component( :is='icon' )
			p {{ text }}
	buttons( centered :vertical='isPhone || isTablet' )
		b-button( as="router-link" :to='{ name: "Homepage", hash: "#buy" }' :fullwidth='isPhone || isTablet' ) {{ $t("buttons.buy_tokens") }}
		b-button( as="router-link" :to='{ name: "Login" }' type="grey" :fullwidth='isPhone || isTablet' ) {{ $t("buttons.login") }}
</template>

<script>
export default {
	components: {
		Socials: () => import("@/components/Socials.vue")
	},
	computed: {
		features() {
			return [
				{
					icon: () => import("svg/percent.svg")
				},
				{
					icon: () => import("svg/flame.svg")
				},
				{
					icon: () => import("svg/gamepad.svg")
				}
			].map((item, i) => ({ ...item, text: this.$t(`page.home.head.features.${i}`) }))
		}
	}
}
</script>

<style lang="scss" scoped>

.coin {
	width: 6rem;
	position: absolute;
	right: 100%;
	bottom: 6rem;
	@include max_tablet {
		width: 4rem;
		height: 4rem;
		margin: auto 0;
		margin-left: -2.5rem;
		top: 0;
		right: unset;
		bottom: 0;
		left: 0;
	}
}
.socials {
	margin: auto 0;
	position: absolute;
	top: 0;
	left: 100%;
	bottom: 0;
}

.content {
	display: inline-block;
}

h1 {
	font-size: 7.75rem;
	font-weight: 900;
	line-height: 80%;
	display: inline-block;
	position: relative;
	img {
		height: .63em;
		display: inline-block;
		&.rotate {
			transform: rotate(165deg);
		}
	}
	&::before {
		display: block;
		content: "Meme Pool";
		font-size: 8.5rem;
		font-weight: 900;
		line-height: 80%;
		text-align: center;
		margin: 0 auto;;
		opacity: .04;
		position: absolute;
		bottom: 1.25rem;
		left: -50%;
		right: -50%;
		z-index: 0;
	}
	span {
		position: relative;
		z-index: 1;
	}

	@include max_tablet {
		font-size: 3.9375rem;
		&::before {
			font-size: 4.25rem;
			line-height: 3.85rem;
			letter-spacing: .25rem;
			content: "Meme\APool";
			white-space: pre-wrap;
			bottom: -.27rem;
		}
	}
}

.subtitle {
	p {
		font-size: 1.75rem;
		font-weight: 400;
		padding-bottom: .25rem;
		margin-top: 1rem;
		position: relative;
	}
	.border {
		height: 3px;
		width: 59.4%;
		background: $danger-light;
		position: absolute;
		bottom: 0;
		left: 1%;
		&::before,
		&::after {
			display: block;
			content: "";
			height: 100%;
			background: $danger-light;
			position: absolute;
		}
		&::before {
			width: 18%;
			left: calc(100% + 8%);
		}
		&::after {
			width: 31.3%;
			left: calc(100% + 33%);
		}
	}

	@include max_tablet {
		p {
			font-size: 1.3125rem;
		}
	}
}

.advantages {
	max-width: 750px;
	margin: 2rem auto 0;
	.img {
		margin-right: .625rem;
		width: 1.5rem;
		svg {
			height: 1.5rem;
			filter: drop-shadow(0px 2px 12px rgba(255, 151, 0, 0.4));
		}
	}
	p {
		font-size: 1.0625rem;
		font-weight: 400;
	}
	@include max_tablet {
		margin: 1.5rem auto -.5rem;
		.item {
			margin: .5rem 0;
		}
	}
}

.section {
	.btns {
		margin-top: 3.5rem;
		@include max_tablet {
			max-width: 13.75rem;
			margin: 0 auto;
			margin-top: calc(1.25rem - .625rem);
		}
	}
}
</style>